%global _hardened_build 1
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
Name:                fstrm
Summary:             Frame Streams implementation in C
Version:             0.6.1
Release:             1
License:             MIT
URL:                 https://github.com/farsightsec/fstrm
Source0:             https://dl.farsightsecurity.com/dist/%{name}/%{name}-%{version}.tar.gz
Patch1:              backport-fstrm-0.6.1-Fix-deadcode-and-check-return-code.patch
Patch2:              backport-fstrm-0.6.1-Invalid-dereference.patch
Patch3:              backport-fstrm-0.6.1-Possible-resource-leak-fix.patch
Patch4:              backport-fstrm-0.6.1-Fix-CLANG_WARNING.patch
BuildRequires:       autoconf automake libtool
Provides:            bundled(libmy)
%description
Frame Streams is a light weight, binary clean protocol that allows for the
transport of arbitrarily encoded data payload sequences with minimal framing
overhead -- just four bytes per data frame. Frame Streams does not specify
an encoding format for data frames and can be used with any data serialization
format that produces byte sequences, such as Protocol Buffers, XML, JSON,
MessagePack, YAML, etc.

%package devel
Summary:             Development Files for fstrm library
Requires:            %{name}%{?_isa} = %{version}-%{release}
%description devel
The fstrm-devel package contains header files required to build an application
using fstrm library.

%package doc
Summary:             API documentation for fstrm library
BuildArch:           noarch
BuildRequires:       doxygen libevent-devel
Requires:            %{name} = %{version}-%{release}
%description doc
The fstrm-doc package contains Doxygen generated API documentation for
fstrm library.

%prep
%autosetup -p1
autoreconf -fi

%build
%configure --disable-static
%make_build
make html

%install
%make_install
rm %{buildroot}%{_libdir}/libfstrm.la
mkdir -p %{buildroot}%{_pkgdocdir}/
cp -ar html %{buildroot}%{_pkgdocdir}/html

%check
make check

%files
%doc COPYRIGHT LICENSE
%exclude %{_pkgdocdir}/html
%{_libdir}/libfstrm.so.*

%files devel
%doc README.md
%{_bindir}/fstrm_capture
%{_bindir}/fstrm_dump
%{_bindir}/fstrm_replay
%{_mandir}/man1/fstrm_*
%{_includedir}/fstrm.h
%{_includedir}/fstrm/
%{_libdir}/pkgconfig/libfstrm.pc
%{_libdir}/libfstrm.so

%files doc
%doc %{_pkgdocdir}/html

%changelog
* Mon Sep 6 2021 wulei <wulei80@huawei.com> - 0.6.1-1
- package init
